Index: code/branches/presentation2/src/orxonox/MoodManager.cc
===================================================================
--- code/branches/presentation2/src/orxonox/MoodManager.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/MoodManager.cc	(revision 6387)
@@ -64,5 +64,5 @@
         ModifyConfigValue(mood_, set, mood);
     }
-    
+
     //! Gets the current mood
     const std::string& MoodManager::getMood()
Index: code/branches/presentation2/src/orxonox/PlayerManager.cc
===================================================================
--- code/branches/presentation2/src/orxonox/PlayerManager.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/PlayerManager.cc	(revision 6387)
@@ -90,5 +90,5 @@
         }
     }
-    
+
     void PlayerManager::disconnectAllClients()
     {
Index: code/branches/presentation2/src/orxonox/Scene.h
===================================================================
--- code/branches/presentation2/src/orxonox/Scene.h	(revision 6383)
+++ code/branches/presentation2/src/orxonox/Scene.h	(revision 6387)
@@ -78,5 +78,5 @@
             inline Radar* getRadar()
                 { return this->radar_; }
-            
+
             inline virtual uint32_t getSceneID() const { return this->getObjectID(); }
 
Index: code/branches/presentation2/src/orxonox/Test.h
===================================================================
--- code/branches/presentation2/src/orxonox/Test.h	(revision 6383)
+++ code/branches/presentation2/src/orxonox/Test.h	(revision 6387)
@@ -75,5 +75,5 @@
       void checkS3();
       void checkS4();
-      
+
       void printPointer();
 
@@ -95,5 +95,5 @@
       TYPE s3;
       TYPE s4;
-      
+
       Test* pointer_;
 
Index: code/branches/presentation2/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- code/branches/presentation2/src/orxonox/controllers/ArtificialController.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/controllers/ArtificialController.cc	(revision 6387)
@@ -46,5 +46,5 @@
         this->bHasTargetPosition_ = false;
         this->targetPosition_ = Vector3::ZERO;
-        
+
         this->target_.setCallback(createFunctor(&ArtificialController::targetDied, this));
     }
@@ -143,5 +143,5 @@
         this->targetPosition_ = getPredictedPosition(this->getControllableEntity()->getPosition(), hardcoded_projectile_speed, this->target_->getPosition(), this->target_->getVelocity());
         this->bHasTargetPosition_ = (this->targetPosition_ != Vector3::ZERO);
-        
+
         Pawn* pawn = dynamic_cast<Pawn*>(this->getControllableEntity());
         if (pawn)
Index: code/branches/presentation2/src/orxonox/controllers/ArtificialController.h
===================================================================
--- code/branches/presentation2/src/orxonox/controllers/ArtificialController.h	(revision 6383)
+++ code/branches/presentation2/src/orxonox/controllers/ArtificialController.h	(revision 6387)
@@ -42,5 +42,5 @@
             ArtificialController(BaseObject* creator);
             virtual ~ArtificialController();
-            
+
             void abandonTarget(Pawn* target);
 
Index: code/branches/presentation2/src/orxonox/controllers/Controller.h
===================================================================
--- code/branches/presentation2/src/orxonox/controllers/Controller.h	(revision 6383)
+++ code/branches/presentation2/src/orxonox/controllers/Controller.h	(revision 6387)
@@ -51,5 +51,5 @@
 
             virtual inline void hit(Pawn* originator, btManifoldPoint& contactpoint, float damage) {};
-            
+
             void setGodMode( bool mode ){ this->bGodMode_ = mode; }
             bool getGodMode(){ return this->bGodMode_; }
Index: code/branches/presentation2/src/orxonox/controllers/NewHumanController.cc
===================================================================
--- code/branches/presentation2/src/orxonox/controllers/NewHumanController.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/controllers/NewHumanController.cc	(revision 6387)
@@ -140,5 +140,5 @@
                 arrowsOverlay1_->setPosition(Vector2(0.5, 0.5));
                 arrowsOverlay1_->hide();
-    
+
                 arrowsOverlay2_ = new OrxonoxOverlay(this);
                 arrowsOverlay2_->setBackgroundMaterial("Orxonox/DirectionArrows2");
@@ -147,5 +147,5 @@
                 arrowsOverlay2_->setPosition(Vector2(0.5, 0.5));
                 arrowsOverlay2_->hide();
-    
+
                 arrowsOverlay3_ = new OrxonoxOverlay(this);
                 arrowsOverlay3_->setBackgroundMaterial("Orxonox/DirectionArrows3");
@@ -154,5 +154,5 @@
                 arrowsOverlay3_->setPosition(Vector2(0.5, 0.5));
                 arrowsOverlay3_->hide();
-    
+
                 arrowsOverlay4_ = new OrxonoxOverlay(this);
                 arrowsOverlay4_->setBackgroundMaterial("Orxonox/DirectionArrows4");
@@ -502,7 +502,7 @@
         {
             hideArrows();
-    
+
             float distance = sqrt(pow(static_cast<float>(this->currentYaw_)/2*-1,2) + pow(static_cast<float>(this->currentPitch_)/2*-1,2));
-    
+
             if (distance > 0.04 && distance <= 0.59 * arrowsSize_ / 2.0 )
             {
Index: code/branches/presentation2/src/orxonox/gamestates/GSGraphics.cc
===================================================================
--- code/branches/presentation2/src/orxonox/gamestates/GSGraphics.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/gamestates/GSGraphics.cc	(revision 6387)
@@ -64,5 +64,5 @@
     void GSGraphics::activate()
     {
-        
+
     }
 
Index: code/branches/presentation2/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- code/branches/presentation2/src/orxonox/gamestates/GSLevel.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/gamestates/GSLevel.cc	(revision 6387)
@@ -90,5 +90,5 @@
             // level is loaded: we can start capturing the input
             InputManager::getInstance().enterState("game");
-            
+
             // connect the HumanPlayer to the game
             PlayerManager::getInstance().clientConnected(0);
@@ -105,5 +105,5 @@
             InputManager::getInstance().leaveState("game");
         }
-        
+
         // disconnect all HumanPlayers
         PlayerManager::getInstance().disconnectAllClients();
@@ -135,5 +135,5 @@
         for (ObjectList<BaseObject>::iterator it = ObjectList<BaseObject>::begin(); it != ObjectList<BaseObject>::end(); ++it)
             this->staticObjects_.insert(*it);
-        
+
         // call the loader
         COUT(0) << "Loading level..." << std::endl;
Index: code/branches/presentation2/src/orxonox/gamestates/GSMainMenu.cc
===================================================================
--- code/branches/presentation2/src/orxonox/gamestates/GSMainMenu.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/gamestates/GSMainMenu.cc	(revision 6387)
@@ -96,5 +96,5 @@
         CommandExecutor::addConsoleCommandShortcut(createConsoleCommand(createFunctor(&GSMainMenu::startDedicated), "startDedicated"));
         CommandExecutor::addConsoleCommandShortcut(createConsoleCommand(createFunctor(&GSMainMenu::startMainMenu), "startMainMenu"));
-        
+
         // create command to change sound path
         CommandExecutor::addConsoleCommandShortcut(createConsoleCommand(createFunctor(&GSMainMenu::setMainMenuSoundPath, this), "setMMSoundPath"));
Index: code/branches/presentation2/src/orxonox/gamestates/GSRoot.cc
===================================================================
--- code/branches/presentation2/src/orxonox/gamestates/GSRoot.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/gamestates/GSRoot.cc	(revision 6387)
@@ -55,5 +55,5 @@
         NetworkFunctionBase::destroyAllNetworkFunctions();
     }
-    
+
     void GSRoot::printObjects()
     {
Index: code/branches/presentation2/src/orxonox/gametypes/Gametype.cc
===================================================================
--- code/branches/presentation2/src/orxonox/gametypes/Gametype.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/gametypes/Gametype.cc	(revision 6387)
@@ -51,5 +51,5 @@
     {
         RegisterObject(Gametype);
-        
+
         this->gtinfo_ = new GametypeInfo(creator);
 
@@ -79,5 +79,5 @@
         else
             this->scoreboard_ = 0;
-        
+
         /* HACK HACK HACK */
         this->hackAddBots_ = createConsoleCommand( createFunctor(&Gametype::addBots, this), "hackAddBots");
@@ -87,5 +87,5 @@
         /* HACK HACK HACK */
     }
-    
+
     Gametype::~Gametype()
     {
Index: code/branches/presentation2/src/orxonox/gametypes/Gametype.h
===================================================================
--- code/branches/presentation2/src/orxonox/gametypes/Gametype.h	(revision 6383)
+++ code/branches/presentation2/src/orxonox/gametypes/Gametype.h	(revision 6387)
@@ -184,5 +184,5 @@
             // Config Values
             std::string scoreboardTemplate_;
-            
+
             /* HACK HACK HACK */
             ConsoleCommand* hackAddBots_;
Index: code/branches/presentation2/src/orxonox/infos/PlayerInfo.cc
===================================================================
--- code/branches/presentation2/src/orxonox/infos/PlayerInfo.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/infos/PlayerInfo.cc	(revision 6387)
@@ -171,10 +171,10 @@
         this->changedControllableEntity();
     }
-    
+
     void PlayerInfo::startTemporaryControl(ControllableEntity* entity)
     {
         if (!entity)
             return;
-        
+
 //         assert( this->temporaryControllableEntity_==0 );
 
@@ -195,5 +195,5 @@
         if ( this->oldControllableEntity_ )
             this->stopTemporaryControl();
-        
+
         ControllableEntity* entity = this->controllableEntity_;
 
@@ -213,5 +213,5 @@
         this->changedControllableEntity();
     }
-    
+
     void PlayerInfo::stopTemporaryControl()
     {
@@ -231,8 +231,8 @@
         if ( GameMode::isMaster() )
             entity->removePlayer();
-        
-        this->changedControllableEntity();
-    }
-    
+
+        this->changedControllableEntity();
+    }
+
     void PlayerInfo::networkcallback_changedcontrollableentityID()
     {
Index: code/branches/presentation2/src/orxonox/interfaces/Rewardable.h
===================================================================
--- code/branches/presentation2/src/orxonox/interfaces/Rewardable.h	(revision 6383)
+++ code/branches/presentation2/src/orxonox/interfaces/Rewardable.h	(revision 6387)
@@ -43,5 +43,5 @@
     @brief
         Rewardable is an Interface, that can be implemented by any object to enable it to be given as reward to a player through QuestEffects. (With the AddReward effect.)
-        
+
         It just needs to inherit form Rewardable, and implement the reward() method.
     @author
Index: code/branches/presentation2/src/orxonox/items/MultiStateEngine.h
===================================================================
--- code/branches/presentation2/src/orxonox/items/MultiStateEngine.h	(revision 6383)
+++ code/branches/presentation2/src/orxonox/items/MultiStateEngine.h	(revision 6387)
@@ -64,5 +64,5 @@
             void addEffectContainer(EffectContainer* effect);
             EffectContainer* getEffectContainer(unsigned int index) const;
-            
+
             void setDefEngSndNormal(const std::string& engineSound);
             const std::string& getDefEngSndNormal();
Index: code/branches/presentation2/src/orxonox/overlays/OrxonoxOverlay.cc
===================================================================
--- code/branches/presentation2/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 6387)
@@ -171,5 +171,5 @@
     {
         SUPER( OrxonoxOverlay, changedVisibility );
-        
+
         if (!this->overlay_)
             return;
Index: code/branches/presentation2/src/orxonox/overlays/OverlayGroup.cc
===================================================================
--- code/branches/presentation2/src/orxonox/overlays/OverlayGroup.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/overlays/OverlayGroup.cc	(revision 6387)
@@ -144,5 +144,5 @@
     {
         SUPER( OverlayGroup, changedVisibility );
-        
+
         for (std::set< SmartPtr<OrxonoxOverlay> >::iterator it = hudElements_.begin(); it != hudElements_.end(); ++it)
             (*it)->changedVisibility(); //inform all Child Overlays that our visibility has changed
Index: code/branches/presentation2/src/orxonox/pickup/ModifierPickup.h
===================================================================
--- code/branches/presentation2/src/orxonox/pickup/ModifierPickup.h	(revision 6383)
+++ code/branches/presentation2/src/orxonox/pickup/ModifierPickup.h	(revision 6387)
@@ -129,5 +129,5 @@
 
         void timerCallback(Pawn* pawn);     //!< Method called when the timer runs out.
-        
+
     private:
         float getAdditiveModifier(ModifierType::Value type) const;               //!< Get the additive modifier for a given ModifierType.
Index: code/branches/presentation2/src/orxonox/pickup/UsableItem.cc
===================================================================
--- code/branches/presentation2/src/orxonox/pickup/UsableItem.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/pickup/UsableItem.cc	(revision 6387)
@@ -26,5 +26,5 @@
  *
  */
-        
+
 /**
     @file
Index: code/branches/presentation2/src/orxonox/sound/AmbientSound.cc
===================================================================
--- code/branches/presentation2/src/orxonox/sound/AmbientSound.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/sound/AmbientSound.cc	(revision 6387)
@@ -61,5 +61,5 @@
         }
     }
-    
+
     void AmbientSound::registerVariables()
     {
@@ -101,5 +101,5 @@
             SoundManager::getInstance().pauseAmbientSound(this);
     }
-    
+
     float AmbientSound::getRealVolume()
     {
Index: code/branches/presentation2/src/orxonox/sound/BaseSound.cc
===================================================================
--- code/branches/presentation2/src/orxonox/sound/BaseSound.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/sound/BaseSound.cc	(revision 6387)
@@ -150,5 +150,5 @@
         this->updateVolume();
     }
-    
+
     void BaseSound::updateVolume()
     {
@@ -252,5 +252,5 @@
         }
     }
-    
+
     void BaseSound::stateChanged()
     {
Index: code/branches/presentation2/src/orxonox/sound/SoundManager.cc
===================================================================
--- code/branches/presentation2/src/orxonox/sound/SoundManager.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/sound/SoundManager.cc	(revision 6387)
@@ -134,5 +134,5 @@
         else
             COUT(2) << "Sound Warning: MIME Type retrieval failed: " << alutGetErrorString(alutGetError()) << std::endl;
-        
+
         this->mute_[SoundType::All]     = 1.0f;
         this->mute_[SoundType::Music]   = 1.0f;
@@ -431,5 +431,5 @@
     void SoundManager::processCrossFading(float dt)
     {
-        
+
         // Hacky solution to the fade delay while loading a level.
         if(dt > 0.2)
@@ -437,5 +437,5 @@
             return;
         }
-        
+
         // FADE IN
         for (std::list<SmartPtr<AmbientSound> >::iterator it= this->fadeInList_.begin(); it != this->fadeInList_.end(); )
Index: code/branches/presentation2/src/orxonox/sound/SoundManager.h
===================================================================
--- code/branches/presentation2/src/orxonox/sound/SoundManager.h	(revision 6383)
+++ code/branches/presentation2/src/orxonox/sound/SoundManager.h	(revision 6387)
@@ -75,5 +75,5 @@
         void preUpdate(const Clock& time);
         void setConfigValues();
-        
+
         // tolua_begin
         static SoundManager& getInstance() { return Singleton<SoundManager>::getInstance(); }
Index: code/branches/presentation2/src/orxonox/sound/WorldSound.cc
===================================================================
--- code/branches/presentation2/src/orxonox/sound/WorldSound.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/sound/WorldSound.cc	(revision 6387)
@@ -51,5 +51,5 @@
         this->registerVariables();
     }
-    
+
     void WorldSound::registerVariables()
     {
Index: code/branches/presentation2/src/orxonox/weaponsystem/WeaponMode.cc
===================================================================
--- code/branches/presentation2/src/orxonox/weaponsystem/WeaponMode.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/weaponsystem/WeaponMode.cc	(revision 6387)
@@ -67,5 +67,5 @@
 
         this->damage_ = 0;
-        
+
         this->muzzleOffset_ = Vector3::ZERO;
         this->muzzlePosition_ = Vector3::ZERO;
@@ -141,5 +141,5 @@
                 this->defSndWpnFire_->play();
             }
-            
+
             this->fire();
 
Index: code/branches/presentation2/src/orxonox/worldentities/ControllableEntity.cc
===================================================================
--- code/branches/presentation2/src/orxonox/worldentities/ControllableEntity.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/worldentities/ControllableEntity.cc	(revision 6387)
@@ -238,5 +238,5 @@
             this->cameraPositionRootNode_->roll(Radian(value.y * this->mouseLookSpeed_), Ogre::Node::TS_LOCAL);
     }
-    
+
     void ControllableEntity::fire(unsigned int firemode)
     {
@@ -250,5 +250,5 @@
         }
     }
-    
+
     void ControllableEntity::setTarget( WorldEntity* target )
     {
@@ -266,5 +266,5 @@
         }
     }
-    
+
     void ControllableEntity::setTargetInternal( uint32_t targetID )
     {
Index: code/branches/presentation2/src/orxonox/worldentities/ControllableEntity.h
===================================================================
--- code/branches/presentation2/src/orxonox/worldentities/ControllableEntity.h	(revision 6383)
+++ code/branches/presentation2/src/orxonox/worldentities/ControllableEntity.h	(revision 6387)
@@ -145,5 +145,5 @@
             inline void setController(Controller* val)
                 { this->controller_ = val; }
-            
+
             virtual void setTarget( WorldEntity* target );
             virtual WorldEntity* getTarget()
Index: code/branches/presentation2/src/orxonox/worldentities/StaticEntity.cc
===================================================================
--- code/branches/presentation2/src/orxonox/worldentities/StaticEntity.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/worldentities/StaticEntity.cc	(revision 6387)
@@ -42,5 +42,5 @@
     {
         RegisterObject(StaticEntity);
-        
+
         this->setPriority(Priority::VeryLow);
 
Index: code/branches/presentation2/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/presentation2/src/orxonox/worldentities/pawns/Pawn.cc	(revision 6383)
+++ code/branches/presentation2/src/orxonox/worldentities/pawns/Pawn.cc	(revision 6387)
@@ -68,5 +68,5 @@
 
         this->spawnparticleduration_ = 3.0f;
-        
+
         this->aimPosition_ = Vector3::ZERO;
 
Index: code/branches/presentation2/src/orxonox/worldentities/pawns/Pawn.h
===================================================================
--- code/branches/presentation2/src/orxonox/worldentities/pawns/Pawn.h	(revision 6383)
+++ code/branches/presentation2/src/orxonox/worldentities/pawns/Pawn.h	(revision 6387)
@@ -116,5 +116,5 @@
 
             virtual void startLocalHumanControl();
-            
+
             void setAimPosition( Vector3 position )
                 { this->aimPosition_ = position; }
@@ -153,5 +153,5 @@
             inline void setWeaponSystem(WeaponSystem* weaponsystem)
                 { this->weaponSystem_ = weaponsystem; }
-            
+
             Vector3 aimPosition_;
     };
